Cómo instalar la versión del paquete particular en CentOS y Ubuntu


Por lo general, cuando instala un paquete en CentOS y Ubuntu , el software de administración de paquetes selecciona la última versión del paquete del repositorio, de forma predeterminada. Sin embargo, a veces, por una razón u otra, es posible que desee instalar una versión de paquete específica en su sistema Linux.

En este artículo, explicaremos cómo instalar una versión de paquete particular o específica en CentOS y Ubuntu utilizando los administradores de paquetes front-end de Yum y APT, respectivamente.

Instalar la versión del paquete específico en CentOS / RHEL / Fedora

Primero, debe verificar todas las versiones disponibles de un paquete, ya sea que esté instalado o no. Normalmente, yum ignora versiones específicas de un paquete y siempre intentará instalar la última versión disponible.

En segundo lugar, cuando intenta encontrar información sobre un paquete, yum solo muestra la última versión de ese paquete en la salida de información, lista o búsqueda de subcomandos; pero utilizando el interruptor --showduplicates , puede mostrar todas las versiones de paquetes presentes en el repositorio.

# yum --showduplicates list nginx

Desde la salida del comando anterior, el formato de nomenclatura para los paquetes es:

package_name.architecture  version_number–build_number  repository

El número_compilación representa cambios menores realizados por el mantenedor del paquete, no por el autor del programa, como documentación adicional, cambios en los archivos de configuración o correcciones de errores y más.

Una vez que haya identificado la versión específica de un paquete (por ejemplo, nginx-1.10.3-1.el7.ngx ), instálelo de la siguiente manera. Tenga en cuenta que el formato del nombre tendrá que cambiar aquí, al RPM completo deseado, package_name-version_number como se muestra en el siguiente comando.

# yum install nginx-1.10.3

Alternativamente, si desea usar una versión con ciertas actualizaciones, especifique el número de compilación ( package_name-version_number-build_number ) como se muestra.

# yum install nginx-1.10.3-1.el7.ngx

Teniendo en cuenta la situación anterior, una versión más nueva de los paquetes ya está instalada en el sistema. Por lo tanto, debe eliminar la versión del paquete instalado, si desea instalar una versión anterior de los paquetes disponibles como se muestra.

# yum remove nginx

Una vez que haya eliminado el paquete instalado, puede instalar la versión específica que desee como se explica anteriormente.

Instalar la versión del paquete específico en Ubuntu y Debian

Primero verifique la versión del paquete instalado en su sistema más todos los paquetes disponibles en el repositorio, usando el siguiente comando apt-cache

$ apt-cache policy firefox

Para instalar una versión específica del paquete, use el siguiente comando con la sintaxis a continuación.

$ sudo apt install firefox=45.0.2+build1-0ubuntu1

Si una versión más nueva de un paquete ya está instalada en su sistema Ubuntu, puede eliminarla y luego instalar la versión que desee.

$ sudo apt remove firefox
$ sudo apt install firefox=45.0.2+build1-0ubuntu1

¡Eso es todo! Para obtener más información, consulte yum , apt , apt-cache . Si tiene alguna consulta, utilice el formulario de comentarios a continuación para comunicarse con nosotros.